# ArcPy サイト パッケージと os モジュールをインポート
import arcpy
import os

# 出力パス、PDFファイルを代入する変数を設定
outDir = r"D:\Student\PYTS\Data\Other"
finalpdf_filename = outDir + r"\MapSeries.pdf"

# 「MapSeries.pdf」ファイルが存在する場合は削除
if os.path.exists(finalpdf_filename):
    os.remove(finalpdf_filename)

# PDFDocument オブジェクトを作成
finalPDF = arcpy.mp.PDFDocumentCreate(finalpdf_filename)

# ページ結合：タイトルページを追加
finalPDF.appendPages(outDir + r"\TitlePage.pdf")

# 指定した aprx ファイルから ArcGISProject オブジェクトを作成
aprx = arcpy.mp.ArcGISProject(r"D:\Student\PYTS\Projects\Training_Ex5\Training_Ex5.aprx")

# マップ シリーズを含むプロジェクトを PDF にエクスポート
mps = aprx.listLayouts()[0]
if not mps.mapSeries is None:
    ms = mps.mapSeries
    if ms.enabled:
        print("PDF にエクスポートします。")
        ms.exportToPDF(outDir + r"\Temporary.pdf")

# finalPDF に「Temporary.pdf」ファイルを追加
finalPDF.appendPages(outDir + r"\Temporary.pdf")

# finalPDF に「ContactPage.pdf」ファイルを追加
finalPDF.appendPages(outDir + r"\ContactPage.pdf")

# 表示プロパティを設定し、PDF を保存
finalPDF.updateDocProperties(pdf_open_view= "USE_THUMBS", pdf_layout= "SINGLE_PAGE")
finalPDF.saveAndClose()

# aprx, finalPDF の参照を del 文で削除
del aprx, finalPDF

# PDF の作成が完了したことをユーザへ知らせるメッセージを表示
print("出力が完了しました。")

